#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libbacktrace
Version		:	0.109.0dd27b9
Release		:	17.2.0.rel%{?dist}
Summary		:	A C library to produce symbolic backtraces

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/ianlancetaylor/libbacktrace

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libunwind-devel
#-----------------------------------------------------------------------------
%description
The libbacktrace library may be linked into
a program or library and used to produce
symbolic backtraces. Sample uses would be
to print a detailed backtrace when an error
occurs or to gather detailed profiling information.

In general the functions provided by this library
are async-signal-safe, meaning that they may be
safely called from a signal handler. That said,
on systems that use dl_iterate_phdr, such as
GNU/Linux, gitthe first call to a libbacktrace
function will call dl_iterate_phdr, which is not
in general async-signal-safe. Therefore, programs
that call libbacktrace from a signal handler
should ensure that they make an initial call
from outside of a signal handler. Similar
considerations apply when arranging to call
libbacktrace from within malloc; dl_iterate_phdr
can also call malloc, so make an initial call to
a libbacktrace function outside of malloc before
trying to call libbacktrace functions within malloc.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.0*

#=============================================================================
%package		devel
Summary		:	Library and header files of libbacktrace

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development package containing library and
header files of libbacktrace.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/backtrace-supported.h
%{_includedir}/backtrace.h
%{_libdir}/%{name}.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif  

CFLAGS="$CFLAGS -ffat-lto-objects"			\
./configure						\
	--prefix=%{_prefix}				\
	--enable-shared					\
	--with-system-libunwind				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete
 
#-----------------------------------------------------------------------------
%changelog
